# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

```
## [0.0.1] - 2018-12-10 
### Added 
- Added this file and this text

### Changed
### Deprecated
### Removed 
### Fixed
### Security
```

## [Unreleased]
## [0.5.1] - 2019-05-08
### Added
- Added a new deploy build
### Changes
- Composer constraints
### Removed
- old jenkins-deploy.sh
- composer.lock
- package-lock.json
- Gulp dist task
## [0.5.0] - 2019-05-03
### Changed
- `TableParser` now returns caption, head, body and foot containing their respective table elements instead of content only containing tbody. 
## [0.4.1] - 2019-04-05
### Changed
- Added an additional check to HasOriginalSizes to return false if width or heights is < 0
## [0.4.0] - 2019-02-28
### Changed
- Merged NewsMLObjectTransformer and NewsMLObjectTransformer into one class. No longer set newsmlPropertyKey.
###
- Removed NewsMLObjectTransformer and DataParser
## [0.3.3] - 2019-02-13
### Changed
- Changed getChild to return null instead of empty simplexmlobjects
## [0.3.2] - 2019-02-11
### Fixed
- Removed Tightencos Collection as dependency since its included in Everyware Support

## [0.3.1] - 2019-01-25
### Removed
- Removed unnecessary files from getting added to dist folder

## [0.3.0] - 2019-01-10
### Changed
- In `ImageItem`, property name `Author` changed to `Authors` to better reflect type
- `ImageLinkParser` now uses `Infomaker\Everyware\Support\Format::formatNumberToImengineFloat` instead of own method
## [0.2.0] - 2018-12-19
### Added
- License

### Changed
- License in composer.json and package.json

## [0.1.0] - 2018-12-18
Alpha release
### Added 
- Added this file and boilerplate and markup example for the future
