<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\FaceBookPostLinkParser;
use Infomaker\Everyware\NewsML\Item;
use PhpSpec\ObjectBehavior;
use PhpSpec\Exception\Example\FailureException;
use Prophecy\Argument;

class FaceBookPostLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FaceBookPostLinkParser::class);
    }
    public function it_should_parse_an_element()
    {
        $xml = '
            <xml>
            </xml>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)
            ->shouldHaveArrayKeys();
    }
    public function getMatchers(): array
    {
        return [
            'haveArrayKeys' => function ($subject) {
                return $subject[0] instanceof Item ? true : false;
            },
        ];
    }
}
