<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\ImageLinkParser;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;


/**
 * @todo Everything
 */
class ImageLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(ImageLinkParser::class);
    }
    public function it_should_parse_an_element()
    {
        $xml = '
            <xml>
                <data>
                    <type>headline</type>
                    <uuid>thetext</uuid>
                    <width>subby</width>
                    <height>subby</height>
                    <data>
                        <type>headline</type>
                        <uuid>thetext</uuid>
                        <width>subby</width>
                        <height>subby</height>
                    </data>
                    <links>
                    <link rel="image" type="x-im/image"  uri="im://image/NygPCiTpwG3j0WItNRSc3a6AbY0.jpg" uuid="c965e053-6176-58ec-81ad-d2d4c778761c">
                        <data>
                            <height>1109</height>
                        </data>
                    </link>
                </links>
                </data>
            </xml>';
/*         $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)
            ->shouldHaveArrayKey(); */
    }
    public function getMatchers(): array
    {
        return [
            'haveArrayKey' => function ($subject) {
                //var_dump($subject);
                return $subject[0]->images[0] instanceof ImageItem;
            },
        ];
    }
}
